Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.probe.aspectj.flow.constructorExecutionObject
Class AbstractAspect

    java.lang.Object
      kieker.monitoring.probe.aspectj.AbstractAspectJProbe
          kieker.monitoring.probe.aspectj.flow.constructorExecutionObject.AbstractAspect

All Implemented Interfaces:
  IMonitoringProbe

Direct Known Subclasses:
  Annotation, FullInstrumentation

    public abstract class AbstractAspect

extends AbstractAspectJProbe

Since:
  1.10
Author:
  Jan Waller

Constructor Summary
`AbstractAspect()`

Method Summary
`Object` | `constructor(Object thisObject, org.aspectj.lang.ProceedingJoinPoint thisJoinPoint)` The advice used around the constructor executions.
`abstract void` | `monitoredConstructor()` The pointcut for the monitored constructors.

Methods inherited from class kieker.monitoring.probe.aspectj.AbstractAspectJProbe
`getter, noGetterAndSetter, notWithinKieker, setter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAspect

    public AbstractAspect()

Method Detail

### monitoredConstructor

    public abstract void monitoredConstructor()

  The pointcut for the monitored constructors. Inheriting classes should extend the pointcut in order to find the correct constructor executions (e.g. all constructors or only constructors with specific annotations).

### constructor

    public Object constructor(Object thisObject,
                              org.aspectj.lang.ProceedingJoinPoint thisJoinPoint)
                       throws Throwable

  The advice used around the constructor executions.

  Parameters:
    `thisObject` -
    `thisJoinPoint` -
  Returns:
    The result of the joint point's `proceed` method.
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net